{"swagger":"2.0","info":{"description":"The Scheme Contribution takes the pension scheme reference and employee contribution percentage and calculates the employer contribution percentage. Please refer to the Pricing Plan and the Credits Plan for the number of credits required to call this API.","version":"0.0.1","title":"SchemeContribution","contact":{"name":"EValue Support","url":"https://www.ev.uk","email":"support@ev.uk"}},"schemes":["https","http"],"consumes":["application/json"],"produces":["application/json"],"paths":{"/schemeContributionCalc/calculate":{"post":{"summary":"Scheme contribution calculation","description":"Notes for scheme contribution calculation","operationId":"calculate","produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Parameters for scheme contribution calculation","required":true,"schema":{"$ref":"#/definitions/SchemeContributionCalcParameters"}}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/SchemeContributionResult"}},"400":{"description":"Validation errors","schema":{"$ref":"#/definitions/ValidationErrors"}},"500":{"description":"System error","schema":{"$ref":"#/definitions/SystemError"}}}}}},"definitions":{"SchemeContributionCalcParameters":{"type":"object","required":["employeeContribution","typeReference"],"properties":{"typeReference":{"type":"string","example":"ER_CONTS","description":"The type of asset held, this could be in the form of an ISA, Personal Pension, Cash deposit or any other pension or investment."},"employeeContribution":{"type":"number","format":"double","example":3,"description":"The employee contribution percentage"},"dateOfBirth":{"type":"string","format":"date","example":"1990-01-01","description":"ISO-8601 formatted date of birth for the forcastee"},"salary":{"type":"number","format":"double","example":45000,"description":"The users salary. Optional: if omitted the salary is defaulted to 10,000"},"dateJoinedScheme":{"type":"string","format":"date","example":"2003-05-12","description":"The date the user joined the scheme."}}},"SchemeContributionResult":{"type":"object","properties":{"employerContribution":{"type":"number","format":"double","example":30,"description":"The employer contribution percentage"}}},"ValidationErrors":{"type":"object","properties":{"errors":{"type":"array","description":"A list of errors from validating the API input parameters","items":{"$ref":"#/definitions/ValidationError"}}},"description":"Contains any errors that have occurred during validation of the API input parameters"},"ValidationError":{"type":"object","properties":{"field":{"type":"string","description":"The field that is invalid"},"code":{"type":"string","description":"The type of validation error that has occurred","enum":["REQUIRED","OUT_OF_RANGE","INVALID","INVALID_TOTAL"]},"message":{"type":"string","description":"The validation error message"},"value":{"type":"string","description":"The value that is invalid"}},"description":"Contains details of a error when validating an API input parameter"},"SystemError":{"type":"object","properties":{"systemError":{"type":"string","example":"A system error has occurred.","description":"The system error message."}},"description":"A System error message"}},"securityDefinitions":{"default":{"type":"oauth2","authorizationUrl":"https://api-gateway.prod.powered-by.ev.uk/authorize","flow":"implicit","scopes":{}}},"basePath":"/schemeContribution/0.0.1","host":"api-gateway.prod.powered-by.ev.uk"}